Skip to main content
POST
/
api
/
constraint
Creates a new constraint.
curl --request POST \
  --url https://{install}/api/constraint \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "container": [
    "<string>"
  ],
  "sourceFieldId": "<string>",
  "sourceFieldDataId": "<string>",
  "targetFieldId": "<string>",
  "targetFieldDataId": [
    "<string>"
  ],
  "targetMode": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The constraint to create.

entity
null | string
name
string
container
string[]
sourceFieldId
string
sourceFieldDataId
string
targetFieldId
string
targetFieldDataId
string[]
targetMode
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Constraint created successfully.